<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_5</title>
</head>
<body>
    <h1>Capitulo 5</h1>
    <a>Ejercicio 5</a>

    <script>   

        const esPotencia2  = (n) => {

            return n != 0 && ((n & (n - 1)) == 0);

        }

        let num = 35;
        if (esPotencia2(num)) {
            console.log(`El numero ${num} "SI" es potencia de 2`)
        } else {
            console.log(`El numero ${num} "NO" es potencia de 2`)
        }    
        
    </script>
    
</body>
</html>